//获取通用对象
function getObj(id)
{
	if(document.getElementById)
	{
		return document.getElementById(id);
	}
	else if(document.all)
	{
		return document.all[id];
	}
	else if(document.layers)
	{
		return document.layers[id];
	}
}
//显示对话框
function openDiv( nDiv )
{
	var w,h,ow,oh;
	var dbg = getObj("divBg");
	w=document.body.clientWidth;
	h=document.body.clientHeight+20;
	
	dbg.style.width=w+'px';
	dbg.style.height=h+'px';
	
	dbg.style.display = "block";
	
	var onDiv = getObj(nDiv);
	var pw = parseInt(onDiv.style.width.substr(0,(onDiv.style.width.length-2)));	//ff
	onDiv.style.left = (w-pw)/2+"px";
	onDiv.style.top = 180+"px";
	onDiv.style.display = "block";
	onDiv.disabled = false;
	scroll(0,0);
	//IE6 下拉框兼容
        if(getObj("domains")!=null)
	{getObj("domains").style.visibility = "hidden";}
	return false;
}
//关闭对话框
function closeDiv(nDiv)
{
	var s = arguments.length;
	//不关闭背景
	if(s!=2)
		getObj("divBg").style.display = "none";
	var onDiv = getObj(nDiv);
	
	onDiv.style.display = "none";
	onDiv.disabled = true;
        if(getObj("domains")!=null)
	getObj("domains").style.visibility = "visible";
	return true;
}

function cutdiv(nDiv)
{
	var s = arguments.length;
	//不关闭背景
	if(s!=2)
		getObj("divBg").style.display = "none";
	var onDiv = getObj(nDiv);
	
	onDiv.style.display = "none";
	onDiv.disabled = true;
        if(getObj("domains")!=null)
	getObj("domains").style.visibility = "visible";
	return true;
}
//复制内容至剪切板
function copyToMemory(vStr,vMsg)
{
	window.clipboardData.setData("Text",vStr);
	alert(vMsg);
	return true;
}

//初始化页面设置操作对话框
function add_page_window()
{
		var t_cook;
		t_cook=GetCookie('skinc');
		
		if(t_cook)
		  document.frmset.color[t_cook-1].checked=true;
		else
		document.frmset.color[0].checked=true;//页面换色
		//colorobj(0).checked =true;	//页面换色
		t_cook=GetCookie('skinp');
		//if(t_cook)
		//  {if(t_cook=='1') document.frmset.pagesize[0].checked=true;else document.frmset.pagesize[1].checked=true; }
		//else
		//document.frmset.pagesize[0].checked=true;	//页面大小

        t_cook=GetCookie('pagebgcook');
       
		//------------------------------------------------
        if(t_cook)
         {
		  var cindex=searchindex(t_cook)+1;
                  
                  if(cindex>0){
		  if(cindex%5!=0) pageno=Math.floor(cindex/5)+1;else pageno=cindex/5;

		  gopage(pageno);

		  if(cindex%5==0) cindex=5;else cindex=cindex%5;
		  cindex--;
		  if(document.getElementsByName("pagebg").length==1)
                    document.frmset.pagebg.checked=true;
                  else

		   document.frmset.pagebg[cindex].checked=true;}}
		  
        else 
		
		 {if(document.frmset.pagebg.length>1) document.frmset.pagebg[0].checked=true;else document.frmset.pagebg.checked=true;}//页面背景
		
		//-end--------------------------------------------
		
		
		//getObj('tianqiset')[0].checked =true;	;//天气预报
		t_cook=GetCookie('tianqicook');
		
		if(t_cook)
		  {if(t_cook=='0') document.frmset.tianqiset[1].checked=true;else document.frmset.tianqiset[0].checked=true; }
		else
		document.frmset.tianqiset[0].checked=true;//天气预报
		
	
	return true;
}

function searchindex(t_m)
{
 var cindex=-1;
 for(var i=0;i<pics.length;i++)	
 if(pics[i]==t_m) {cindex=i;break;}	
 return cindex;
}

function PageSet()
{
	//打开设置页面
	add_page_window();
	openDiv('add_page','xb');
	return true;
}

function tianqisz()
{
	
	//add_tianqi_window();
	openDiv('add_tianqi','xb');
	return true;
}


function saveValueForCookies()
{
  var vcolor;
  if(document.frmset.color[0].checked==true)
    vcolor="1";
  else if(document.frmset.color[1].checked==true)	
    vcolor="2";
  else if(document.frmset.color[2].checked==true)	
    vcolor="3";
 else if(document.frmset.color[3].checked==true)	
    vcolor="4";
  SetCookie('skinc',vcolor,94608000,'/',top_domain());//保存新的样式到cookies
	var vcolors=GetCookie('skinc');
	//alert(vcolors);
	if(vcolor=="1")	
	   getObj("skincolor").href='/style/01/01.css';//调用新设置的样式  
	  else if(vcolor=="2")
	   getObj("skincolor").href='/style/02/02.css';//调用新设置的样式  
	else if(vcolor=="4")
	   getObj("skincolor").href='/style/04/04.css';//调用新设置的样式  
	  else if(vcolor=="3")
	   getObj("skincolor").href='/style/03/03.css';//调用新设置的样式	
 
  var vpagebg;
  var lens=document.getElementsByName("pagebg").length
 
  if(lens==1) vpagebg=document.frmset.pagebg.value;
  else{
  for(i=0;i<lens;i++)
  {
	if(document.frmset.pagebg[i].checked==true)
     vpagebg=document.frmset.pagebg[i].value;
  }
  }

  if(vpagebg!='nobg.gif')
  {document.body.style.backgroundImage = "url(/images/"+vpagebg+")";} else {document.body.style.backgroundImage="";} 
   //alert(vpagebg);
  SetCookie('pagebgcook',vpagebg,94608000,'/',top_domain());//保存新的样式到cookies

var vtqset;

  if(document.frmset.tianqiset[0].checked==true)
    vtqset=1;//打开天qi
  else if(document.frmset.tianqiset[1].checked==true)	
    vtqset=0;//关闭天qi
  
  var ovtqset=GetCookie('tianqicook');
  SetCookie('tianqicook',vtqset,94608000,'/',top_domain());//保存新的样式到cookies
   if(document.getElementById("mytest"))
   {
		if(vtqset==1)
		{ 
			if(ovtqset!="1") reloadWeather();
		}else
		{
			closeWeahter();
		}
	}

	if(document.getElementById("7y7")) document.getElementById("7y7").src='/7y7.html?'+vcolor;
  //window.location.reload();
  //alert("页面设置成功，关闭便可生效");
  closeDiv('add_page');//关闭图层
}

function $(element) {return document.getElementById(element);}
function UserSet2()
{
  var vcolor;
  var vpagesize;
  var setfm = document.setFm2;
  if(setfm.color2[0].checked==true)
    vcolor="1";
  else if(setfm.color2[1].checked==true)
    vcolor="2";
  else if(setfm.color2[2].checked==true)
    vcolor="3";
  SetCookie('skinc',vcolor,94608000,'/',top_domain());//保存新的样式到cookies
	$("skincolor").href='css/css'+vcolor+'.css';//调用新设置的样式  
/*
if(setfm.pagesize[0].checked==true)
{
	vpagesize='1';
	$("skincolor").href='css/css'+vcolor+'.css';//调用新设置的样式  
}
else if(setfm.pagesize[1].checked==true)
{
   vpagesize='2';
   $("skincolor").href='css/big_css'+vcolor+'.css';//调用新设置的样式  
}
*/
SetCookie('skinp',vpagesize,94608000,'/',top_domain());//保存新的样式到cookies
}
function check_screen()
{
var us_displayed=GetCookie('us_displayed');
var is_kp=GetCookie('skinp');
if(window.screen.width>=1280 && us_displayed!='1' && is_kp!=2)
{
	var us_color=GetCookie('skinc');
	if(!us_color)us_color=1;
	var us_page=GetCookie('skinp');
	document.setFm2.color2[(us_color-1)].checked = true;
	//document.setFm2.pagesize[(us_page-1)].checked = true;
	$('screenSet').style.display="";
}
if(us_displayed!='1')SetCookie( 'us_displayed' , 1 , 1296000 ,'/',top_domain() );
}
function not_check_screen(vcked)
{
SetCookie( 'us_displayed' , 1 , 94608000 , '/' , top_domain() );
closeDiv('screenSet');
}